---
title: "Project List - Summer 2024"
date: 2024-06-18T17:50:25-06:00
draft: false
---

Something that has really helped me become more organized and motivated in the past is to write down an agenda/list of things I want done in a certain amount of time. It helps keep me accountable for my actions and also keeps me from deviating from them unnecessarily.

I've noticed that since I graduated college with my Bachelors, I have become incredibly burnt out and unmotivated to work on the projects that I was passionate about in the past. Some research on my projects and commit history would reflect that. I keep coming up with ways about how my current projects could be improved or new projects that have been construing in my mind, then sit at a computer and stare into the code only to find myself shut down. I keep telling myself I can be more dedicated to those projects I am passionate about in my mind, but my brain cannot process it once I try to crank it out into a file.

Instead of letting the sad undertone of that anecdote consume me, I am making a list of projects in this blog post that I want to start and/or finish this summer now that my class ended. This will help me be accountable for the things I know I want to work on deep down, and show responsibility to get those things done and how I've grown in the end.

With that said, here are the projects I want to work on this summer:

* An Automatic, Init-system Agnostic, Mounting Daemon (new project)
  * All command-line based, control daemon over a TCP port or maybe a file inside `/proc`
  * Mainly as a ploy to learn how daemons work and how to control them, especially OpenRC.
  * Would like to program in Go
* A command-line interface for the XDG Trash System (new project)
  * Add, view or remove files from the trash on the disk
  * Could be used as an alias to `rm` for clumsy people
  * Thinking using Rust or something niche like Nim or Zig
* Improve [ServerCraft](/projects/servercraft)
  * Make the window resizable and have UI react accordingly
  * Find a better system for the "Console"
  * Add version dropdown

Hopefully doing this will help me become more motivated. I will give a report on my progress toward the end of the summer. 
